SoTextureCoordinateElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoTextureCoordinateElement Class Reference
Element Classes

The SoTextureCoordinateElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoTextureCoordinateElement.h>`

Inheritance diagram for SoTextureCoordinateElement:

## Public Types
enum | CoordType { NONE = 0, TEXGEN = 0, EXPLICIT = 1, FUNCTION = 2, DEFAULT = 3 }

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual CoordType | getType (void) const
| FIXME: write doc.
const SbVec4f & | get (const SbVec3f &point, const SbVec3f &normal) const
int32_t | getNum (void) const
| FIXME: write doc.
SbBool | is2D (void) const
| FIXME: write doc. (for backwards compability. Use getDimension() instead).
int32_t | getDimension (void) const
const SbVec2f & | get2 (const int index) const
| FIXME: write doc.
const SbVec3f & | get3 (const int index) const
const SbVec4f & | get4 (const int index) const
| FIXME: write doc.
const SbVec2f * | getArrayPtr2 (void) const
const SbVec3f * | getArrayPtr3 (void) const
const SbVec4f * | getArrayPtr4 (void) const
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
uint32_t | getNodeId () const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setDefault (SoState *const state, SoNode *const node)
| FIXME: write doc.
static void | setFunction (SoState *const state, SoNode *const node, SoTextureCoordinateFunctionCB *const func, void *const userdata)
| FIXME: write doc.
static void | set2 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec2f *const coords)
| FIXME: write doc.
static void | set3 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec3f *const coords)
static void | set4 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec4f *const coords)
| FIXME: write doc.
static CoordType | getType (SoState *const state)
static const SoTextureCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoTextureCoordinateElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes
CoordType | whatKind
SoTextureCoordinateFunctionCB * | funcCB
void * | funcCBData
int32_t | numCoords
const SbVec2f * | coords2
const SbVec3f * | coords3
const SbVec4f * | coords4
SbBool | coordsDimension
SbVec2f | convert2
SbVec3f | convert3
SbVec4f | convert4
Protected Attributes inherited from SoReplacedElement
uint32_t | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoTextureCoordinateElement class is yet to be documented.

FIXME: write doc.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.2

## Member Enumeration Documentation

enum SoTextureCoordinateElement::CoordType

FIXME: write doc.

## Constructor & Destructor Documentation

SoTextureCoordinateElement::~SoTextureCoordinateElement | ( |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoTextureCoordinateElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoTextureCoordinateElement::initClass | ( | void |  | ) |
| static

This static method initializes static data for the SoTextureCoordinateElement class.

void SoTextureCoordinateElement::set3 | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const int32_t | numCoords,
|  | const SbVec3f *const | coords
| ) |  |
| static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

SoTextureCoordinateElement::CoordType SoTextureCoordinateElement::getType | ( | SoState *const | state | ) |
| static

This method is used by shapes. Three return values are possible.

DEFAULT means that the shapes should generate their own texture coordinates.

EXPLICIT means that discrete texture coordinates are stored, and should be fetched with get2(), get3() or get4().

FUNCTION means that get(point, normal) must be used to generate texture coordinates.

const SbVec4f & SoTextureCoordinateElement::get | ( | const SbVec3f & | point,
|  | const SbVec3f & | normal
| ) |  | const

This method returns texture coordinate for the given point and normal. The coordinate is returned as a 4D vector where the r and q coordinates may be set to 0 and 1 respecively depending on what texture coordinate dimension we're using.

This method should only be used if the CoordType is FUNCTION.

int32_t SoTextureCoordinateElement::getDimension | ( | void |  | ) | const

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

const SbVec3f & SoTextureCoordinateElement::get3 | ( | const int | index | ) | const

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

const SbVec2f * SoTextureCoordinateElement::getArrayPtr2 | ( | void |  | ) | const

Returns a pointer to the 2D texture coordinate array. This method is not part of the OIV API.

const SbVec3f * SoTextureCoordinateElement::getArrayPtr3 | ( | void |  | ) | const

Returns a pointer to the 3D texture coordinate array.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

const SbVec4f * SoTextureCoordinateElement::getArrayPtr4 | ( | void |  | ) | const

Returns a pointer to the 4D texture coordinate array. This method is not part of the OIV API.

## Member Data Documentation

SoTextureCoordinateElement::whatKind
| protected

FIXME: write doc.

SoTextureCoordinateElement::funcCB
| protected

FIXME: write doc.

SoTextureCoordinateElement::funcCBData
| protected

FIXME: write doc.

SoTextureCoordinateElement::numCoords
| protected

FIXME: write doc.

SoTextureCoordinateElement::coords2
| protected

FIXME: write doc.

SoTextureCoordinateElement::coords3
| protected

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

SoTextureCoordinateElement::coords4
| protected

FIXME: write doc.

SoTextureCoordinateElement::coordsDimension
| protected

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

SoTextureCoordinateElement::convert2
| protected

FIXME: write doc.

SoTextureCoordinateElement::convert3
| protected

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

SoTextureCoordinateElement::convert4
| protected

FIXME: write doc.

The documentation for this class was generated from the following files:

- SoTextureCoordinateElement.h
- SoTextureCoordinateElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.